Bug 30419 - Convert authority detail page tabs to Bootstrap
Summary: Convert authority detail page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226 30422
  Show dependency treegraph
 
Reported: 2022-03-31 13:38 UTC by Owen Leonard
Modified: 2022-04-15 11:19 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30419: Convert authority detail page tabs to Bootstrap (2.61 KB, patch)
2022-03-31 15:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30419: Convert authority detail page tabs to Bootstrap (2.76 KB, patch)
2022-04-01 08:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30419: Convert authority detail page tabs to Bootstrap (2.81 KB, patch)
2022-04-03 10:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-31 13:38:04 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the authority detail template with Bootstrap.
Comment 1 Owen Leonard 2022-03-31 15:43:47 UTC
Created attachment 132793 [details] [review]
Bug 30419: Convert authority detail page tabs to Bootstrap

This patch updates the authority detail page to use Bootstrap tabs
instead of jQueryUI.

The patch also removes some broken JavaScript. It will be re-implemented
in Bug 30422.

To test, apply the patch search for an authority record in the
authorities module.

View the detail page for the authority and test that the tabs look
correct and work correctly.
Comment 2 Séverine Queune 2022-04-01 08:04:52 UTC
Created attachment 132823 [details] [review]
Bug 30419: Convert authority detail page tabs to Bootstrap

This patch updates the authority detail page to use Bootstrap tabs
instead of jQueryUI.

The patch also removes some broken JavaScript. It will be re-implemented
in Bug 30422.

To test, apply the patch search for an authority record in the
authorities module.

View the detail page for the authority and test that the tabs look
correct and work correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 3 Katrin Fischer 2022-04-03 10:34:51 UTC
Created attachment 132913 [details] [review]
Bug 30419: Convert authority detail page tabs to Bootstrap

This patch updates the authority detail page to use Bootstrap tabs
instead of jQueryUI.

The patch also removes some broken JavaScript. It will be re-implemented
in Bug 30422.

To test, apply the patch search for an authority record in the
authorities module.

View the detail page for the authority and test that the tabs look
correct and work correctly.

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2022-04-12 09:42:20 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄